Skip to Content
veriom

Decide boundary suggestion

PATCH
/v1/workspaces/{workspace_id}/boundary-suggestions/{suggestion_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
suggestion_id*Suggestion Id
Formatuuid

Request Body

application/json
  1. body
reason*Reason
Length3 <= length <= 2000
state*State
Value in"confirmed""rejected"

Response Body

Successful Response

application/json
  1. response
confidence?string|null
decided_at*|null
decided_by*|null
decision_reason*string|null
evidence_ids*array<string>
evidence_revision*Evidence Revision
fingerprint*Fingerprint
id*Id
Formatuuid
proposed_json*
rationale*Rationale
source_group_id*|null
state*State
suggestion_kind*Suggestion Kind
target_group_id*|null
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/boundary-suggestions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "reason": "string",  "state": "confirmed"}'
Example Response
{  "confidence": "string",  "decided_at": "2019-08-24T14:15:22Z",  "decided_by": "4accc021-c0cc-4c2c-8a78-605a0ed6da31",  "decision_reason": "string",  "evidence_ids": [    "string"  ],  "evidence_revision": "string",  "fingerprint": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "proposed_json": {},  "rationale": "string",  "source_group_id": "58d74375-43ee-4b76-86bc-674c69391672",  "state": "string",  "suggestion_kind": "string",  "target_group_id": "efc47beb-e46d-465e-921d-3e02578ccf22"}